import request from '@/utils/request'

// 查询管线改造进度列表
export function listProgress(query) {
  return request({
    url: '/system/progress/list',
    method: 'get',
    params: query
  })
}

// 查询管线改造进度详细
export function getProgress(id) {
  return request({
    url: '/system/progress/' + id,
    method: 'get'
  })
}

// 新增管线改造进度
export function addProgress(data) {
  return request({
    url: '/system/progress',
    method: 'post',
    data: data
  })
}

// 修改管线改造进度
export function updateProgress(data) {
  return request({
    url: '/system/progress',
    method: 'put',
    data: data
  })
}

// 删除管线改造进度
export function delProgress(id) {
  return request({
    url: '/system/progress/' + id,
    method: 'delete'
  })
}

// 导出管线改造进度
export function exportProgress(query) {
  return request({
    url: '/system/progress/export',
    method: 'get',
    params: query
  })
}
